using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionDocuments")]
    public class TransactionDocument
    {
        [Column("CreatedOn")]
        public DateTime? CreatedOn { get; set; }

        [Column("DocumentType")]
        public string DocumentType { get; set; }

        [Column("File")]
        public byte[] File { get; set; }

        [Column("Filename")]
        public string Filename { get; set; }

        [Column("Notes")]
        public string? Notes { get; set; }

        [ForeignKey("TransactionID")]
        public Transaction Transaction { get; set; }

        [Column("TransactionDocument_UID")]
        public Guid? TransactionDocument_UID { get; set; }

        [Column("TransactionDocumentID")]
        public int TransactionDocumentID { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        [Column("UploadedOn")]
        public DateTime UploadedOn { get; set; }
    }
}